-------------------------------------------------------------------------------
--! @file       Reverse_Endian.vhd
--! @author     William Diehl
--! @brief      SCREAM Reverse_Endian
--! @date       29 Jun 2016
-------------------------------------------------------------------------------

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

ENTITY Reverse_Endian IS
	 PORT(
	 A: IN STD_LOGIC_VECTOR(127 DOWNTO 0);
	 B: OUT STD_LOGIC_VECTOR(127 DOWNTO 0));
	 
	 
END Reverse_Endian;

ARCHITECTURE dataflow of Reverse_Endian IS


BEGIN

        B<=A(119 DOWNTO 112) & A(127 DOWNTO 120) & 
           A(103 DOWNTO 96) & A(111 DOWNTO 104) &
           A(87 DOWNTO 80) & A(95 DOWNTO 88) &
           A(71 DOWNTO 64) & A(79 DOWNTO 72) &
           A(55 DOWNTO 48) & A(63 DOWNTO 56) &
           A(39 DOWNTO 32) & A(47 DOWNTO 40) &
           A(23 DOWNTO 16) & A(31 DOWNTO 24) &
           A(7 DOWNTO 0) & A(15 DOWNTO 8); 
	
END dataflow;
